Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 455118

Summary: bind.spec file specifies incorrect Source
Product: [Fedora] Fedora Reporter: Quentin Armitage <quentin>
Component: bindAssignee: Adam Tkac <atkac>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: atkac, ovasik
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-09-10 07:23:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Quentin Armitage 2008-07-12 08:22:43 UTC
Description of problem:
The bind.spec file specifies Source incorrectly. Only applies when there is a
PREVER or PATCHVER

Version-Release number of selected component (if applicable):
bind-9.5.1b1

How reproducible:
Always

Steps to Reproduce:
1.View bind.spec file
2.
3.
  
Actual results:
Source:   ftp://ftp.isc.org/isc/bind9/%{version}/bind-%{version}%{PREVER}.tar.gz


Expected results:
Source:  
ftp://ftp.isc.org/isc/bind9/%{version}%{PREVER}/bind-%{version}%{PREVER}.tar.gz


Additional info:
Same issue applies for F8 and F9, except format is slightly different:
Source:		ftp://ftp.isc.org/isc/bind9/%{version}/bind-%{version}-%{PATCHVER}.tar.gz
should read
Source:	
ftp://ftp.isc.org/isc/bind9/%{version}-%{PATCHVER}/bind-%{version}-%{PATCHVER}.tar.gz

Comment 1 Adam Tkac 2008-07-14 08:32:47 UTC
Fixed in CVS, will be included in next build. Thanks for report

Comment 2 Quentin Armitage 2008-07-14 19:36:33 UTC
I can see that the Source is fixed in Rawhide, but both F8 and F9 need 
correcting in a similar manner, but in the slightly different format set out 
above.

Comment 3 Fedora Update System 2008-08-06 10:31:44 UTC
bind-9.5.0-35.P2.fc9 has been submitted as an update for Fedora 9

Comment 4 Fedora Update System 2008-08-07 23:47:50 UTC
bind-9.5.0-35.P2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bind'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6977

Comment 5 Fedora Update System 2008-09-10 07:23:29 UTC
bind-9.5.0-35.P2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.